Debian Bug report logs - #346342
tzconfig should create a copy of timezone data in localtime rather than a symlink

version graph

Package: libc6; Maintainer for libc6 is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for libc6 is src:eglibc.

Reported by: jimmybgood9@yahoo.com

Date: Sat, 7 Jan 2006 06:48:01 UTC

Severity: normal

Found in versions libc6/2.3.5-11, libc6/2.3.6-5

Fixed in version glibc/2.3.6-6

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#346342; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to jimmybgood9@yahoo.com:
New Bug report received and forwarded. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: James Blanford <jimmybgood9@yahoo.com>
To: submit@bugs.debian.org
Subject: tzconfig should create a copy of timezone data in localtime rather than a symlink
Date: Fri, 6 Jan 2006 23:43:33 -0700 (MST)
Package: libc6
Version: 2.3.5-11

The kernel, init and boot-up processes don't have access to timezone
data until /usr is mounted, thereby creating havoc with file system
checks and boot logs.  Please see bug #342887 filed against util-linux.

The filesystem hierarchy standard requires "essential start-up data" to
be in the root file system.  I think it's realistic to describe
site-specific timezone data as essential.  My suggestion is that
tzconfig be changed to create /etc/localtime as a copy of the timezone
data rather than a symlink.  So whenever the timezone is set or changed
or the timezone data itself is changed, tzconfig is run and localtime is
updated.

It sure would make things simpler.

Thanks,

     -  Jim 



Message sent on to jimmybgood9@yahoo.com:
Bug#346342. Full text and rfc822 format available.

Message #8 received at 346342-submitter@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@yahoo.co.uk>
To: 346342-submitter@bugs.debian.org
Cc: Henrique de Moraes Holschuh <hmh@debian.org>
Subject: Or deal with it locally
Date: Tue, 24 Jan 2006 14:55:12 +0100
James Blanford wrote:
> The kernel, init and boot-up processes don't have access to timezone
> data until /usr is mounted, thereby creating havoc with file system
> checks and boot logs.  Please see bug #342887 filed against util-linux.


There _is_ a bug in util-linux: it doesn't run hwclockfirst.sh as early as
it should, to set the system clock based on the local time that's kept in
the hw clock.

However, once that util-linux bug is fixed users will have UTC=no support
provided they have /usr/share/zoneinfo on the root filesystem.

It is questionable whether the combination of UTC=no and /usr-not-on-rootfs
should be supported out of the box.  The people who need UTC=no are dual
booters, and they are less likely than others to be using multiple partitions
for their GNU/Linux installations.  So this issue could be regarded as a
wishlist item.

Someone that needs UTC=no and /usr-not-on-rootfs can solve the problem
locally.  E.g., they can copy /usr/share/zoneinfo under the /usr mount point
so that the information is available early enough for hwclockfirst to have
access to when it runs (before S:S10checkroot.sh, once the aforementioned
util-linux bug is fixed).
-- 
Thomas Hood



Message sent on to jimmybgood9@yahoo.com:
Bug#346342. Full text and rfc822 format available.

Message #11 received at 346342-submitter@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Thomas Hood <jdthood@yahoo.co.uk>
Cc: 346342-submitter@bugs.debian.org
Subject: Re: Or deal with it locally
Date: Tue, 24 Jan 2006 12:29:52 -0200
On Tue, 24 Jan 2006, Thomas Hood wrote:
> It is questionable whether the combination of UTC=no and /usr-not-on-rootfs
> should be supported out of the box.  The people who need UTC=no are dual

Regadless, I think we will try to do so. After all is done, however, it is
on the hands of the glibc team to approve the changes necessary to do so.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh



Information stored:
Bug#346342; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to jimmybgood9@yahoo.com:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #16 received at 346342-quiet@bugs.debian.org (full text, mbox):

From: James Blanford <jimmybgood9@yahoo.com>
To: jdthood@yahoo.co.uk, 346342-quiet@bugs.debian.org
Subject: Re: Bug#346342: Or deal with it locally
Date: Tue, 24 Jan 2006 14:30:28 -0700 (MST)
On 24 Jan, Thomas Hood wrote:

> It is questionable whether the combination of UTC=no and
> /usr-not-on-rootfs should be supported out of the box.  The people who
> need UTC=no are dual booters, and they are less likely than others to
> be using multiple partitions for their GNU/Linux installations.

No, people who use UTC=no tend to be naive Linux users who may not even
know what UTC is.  I can easily deal with it locally.  That's what I
told the people who asked me to put Debian on their IBM eserver.  "This
is a minor problem that I can fix locally."  But they were still freaked
out. They're businessmen and it made Debian look bad.

And the problem is not caused by dual booting, it's caused by people who
insist on changing their time twice year.  If people were sensible like
they are where I live, you could just set the hardware clock to
localtime and be done with it.  The kernel and system would know the
correct time as soon as the hardware clock became accessible.

As soon as I can decipher those zoneinfo files, I'm going to set my
hardware clock to local mean sun time.  Yes, a zoneinfo file would still
be needed to see how my time relates to the rest of the world.

     -  Jim



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#346342; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Martin Stolle <mstoll@sus.mcgill.ca>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #21 received at 346342@bugs.debian.org (full text, mbox):

From: Martin Stolle <mstoll@sus.mcgill.ca>
To: Debian Bug Tracking System <346342@bugs.debian.org>
Subject: libc6: REALLY annoying: destroys workaround all the time
Date: Mon, 10 Apr 2006 00:28:17 -0400
Package: libc6
Version: 2.3.6-5
Followup-For: Bug #346342


I would like to add something really annoying to this bug:  every time
the libc6 package is updated, it overwrites /etc/localtime .  This makes
this bug REALLY annoying, since the perfectly working workaround of
copying the timezone file into /etc/localtime is destroyed all the time.

I would like also like to add something to the "dual boot ppl are
lame" argument.  Many ppl, even those that are full Linux ppl, dual boot
to run the odd Windows application.  I am one of them, and I have
multiple partition, because I run Debian most of the time and like the
added reliability (has save my ass before!).  So PLEASE, I IMPLORE you,
fix this bug.  Copying the timezone file to /etc instead of symlinking
it is a perfectly acceptable solution, especially if you overwrite
/etc/localtime ANYWAYS ALL THE TIME.

So PLEASE, fix this ridiculous "easy to fix, but won't do it because of
silly ideological concerns", or AT LEAST, don't overwrite /etc/localtime
ALL THE TIME.

Thanks,
  Martin



-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.16-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#346342; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #26 received at 346342@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Martin Stolle <mstoll@sus.mcgill.ca>, 346342@bugs.debian.org
Subject: Re: Bug#346342: libc6: REALLY annoying: destroys workaround all the time
Date: Mon, 10 Apr 2006 07:42:41 +0200
Hi!

On Mon, Apr 10, 2006 at 12:28:17AM -0400, Martin Stolle wrote:
> Package: libc6
> Version: 2.3.6-5
> Followup-For: Bug #346342
> 
> 
> I would like to add something really annoying to this bug:  every time
> the libc6 package is updated, it overwrites /etc/localtime .  This makes
> this bug REALLY annoying, since the perfectly working workaround of
> copying the timezone file into /etc/localtime is destroyed all the time.
> 
> I would like also like to add something to the "dual boot ppl are
> lame" argument.  Many ppl, even those that are full Linux ppl, dual boot
> to run the odd Windows application.  I am one of them, and I have
> multiple partition, because I run Debian most of the time and like the
> added reliability (has save my ass before!).  So PLEASE, I IMPLORE you,
> fix this bug.  Copying the timezone file to /etc instead of symlinking
> it is a perfectly acceptable solution, especially if you overwrite
> /etc/localtime ANYWAYS ALL THE TIME.
> 
> So PLEASE, fix this ridiculous "easy to fix, but won't do it because of
> silly ideological concerns", or AT LEAST, don't overwrite /etc/localtime
> ALL THE TIME.

First of all, please don't be so agressive. If you look at the bug log,
we never say we won't fix the bug because of ideologicial concerns.
Actually nobody from the glibc team answered to the bug report, so I
don't know how you know our opinion.

Then I think it's just that nobody found the time to work on this bug,
and also the first mails sent to the bug log shows that the situation is
unclear if it is a bug in the glibc or util-linux. After all nothing has
changed on the glibc side, and the bug was not present before.

If you need to be more helpful, please send a patch instead of shouting.

Then on the bug itself, I will try to investigate that. The solution is
not trivial, if you look at the tzconfig script, you may notice that the
script use a readlink on /etc/localtime. Replacing it by a plain file
may have consequences that have to be investigated. It seems that it is
broken for some people (I fail to understand how it happens), and we 
don't want to break it for everyone.

Bye,
Aurelien

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#346342; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Martin Stolle <mstoll@sus.mcgill.ca>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #31 received at 346342@bugs.debian.org (full text, mbox):

From: Martin Stolle <mstoll@sus.mcgill.ca>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: 346342@bugs.debian.org
Subject: Re: Bug#346342: libc6: REALLY annoying: destroys workaround all the time
Date: Mon, 10 Apr 2006 10:16:59 -0400
On Mon, Apr 10, 2006 at 07:42:41AM +0200, Aurelien Jarno wrote:
> Hi!
> 
> First of all, please don't be so agressive. If you look at the bug log,
> we never say we won't fix the bug because of ideologicial concerns.
> Actually nobody from the glibc team answered to the bug report, so I
> don't know how you know our opinion.

I am sorry that I was so aggressive.  I was just upset at comments such
as "(...) people who use UTC=no tend to be naive Linux users" and "(...) this
issue could be regarded as a wishlist item."  I had followed this thread
(and the one over at util-linux) and was frustrated with the lack of
progress and repeated overwriting of the /etc/localtime symlink.  I am
sorry for my overreaction.

> 
> Then I think it's just that nobody found the time to work on this bug,
> and also the first mails sent to the bug log shows that the situation is
> unclear if it is a bug in the glibc or util-linux. After all nothing has
> changed on the glibc side, and the bug was not present before.
> 
> If you need to be more helpful, please send a patch instead of shouting.
> 
> Then on the bug itself, I will try to investigate that. The solution is
> not trivial, if you look at the tzconfig script, you may notice that the
> script use a readlink on /etc/localtime. Replacing it by a plain file
> may have consequences that have to be investigated. It seems that it is
> broken for some people (I fail to understand how it happens), and we 
> don't want to break it for everyone.

I think the "fsck is messed up" is a util-linux bug, while the "system
clock is wrong because there's no timezone data in the root filesystem"
is a bug in libc6 (this package).

The way the breakage happens, is that the hwclock is set to local time
(due to Windows being stubborn).  On bootup, linux sets the system clock
based on the hardware clock early on in the boot sequence before /usr is
mounted (this is necessary for fsck to work).  Since /etc/localtime is
missing, hwclock doesn't know what local time the hwclock is in and
silently assumes UTC.  So now, the system clock has the same time as the
hardware clock, but thinks it is UTC.

I would like to look into patching this problem.  What file is
responsible for setting up the /etc/localtime ?  tzconfig?  Is that what
gets run on every package update?  It seems like it is an interactive
program, so it is unlikely the source of the repeated /etc/localtime
breakage, unless some piping is happening.

Martin




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#346342; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Gabor Gombas <gombasg@sztaki.hu>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #36 received at 346342@bugs.debian.org (full text, mbox):

From: Gabor Gombas <gombasg@sztaki.hu>
To: Aurelien Jarno <aurelien@aurel32.net>, 346342@bugs.debian.org
Cc: Martin Stolle <mstoll@sus.mcgill.ca>
Subject: Re: Bug#346342: libc6: REALLY annoying: destroys workaround all the time
Date: Mon, 10 Apr 2006 16:31:56 +0200
On Mon, Apr 10, 2006 at 07:42:41AM +0200, Aurelien Jarno wrote:

> Then on the bug itself, I will try to investigate that. The solution is
> not trivial, if you look at the tzconfig script, you may notice that the
> script use a readlink on /etc/localtime. Replacing it by a plain file
> may have consequences that have to be investigated.

tzconfig from libc6-2.3.6-5 already checks if /etc/localtime is a
symlink or not and seems to handle both cases fine.

Gabor

-- 
     ---------------------------------------------------------
     MTA SZTAKI Computer and Automation Research Institute
                Hungarian Academy of Sciences
     ---------------------------------------------------------



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#346342; Package libc6. Full text and rfc822 format available.

Acknowledgement sent to Denis Barbier <barbier@linuxfr.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. Full text and rfc822 format available.

Message #41 received at 346342@bugs.debian.org (full text, mbox):

From: Denis Barbier <barbier@linuxfr.org>
To: Aurelien Jarno <aurelien@aurel32.net>, 346342@bugs.debian.org
Cc: Martin Stolle <mstoll@sus.mcgill.ca>
Subject: Re: Bug#346342: libc6: REALLY annoying: destroys workaround all the time
Date: Mon, 10 Apr 2006 22:29:31 +0200
On Mon, Apr 10, 2006 at 07:42:41AM +0200, Aurelien Jarno wrote:
> Then on the bug itself, I will try to investigate that. The solution is
> not trivial, if you look at the tzconfig script, you may notice that the
> script use a readlink on /etc/localtime. Replacing it by a plain file
> may have consequences that have to be investigated. It seems that it is
> broken for some people (I fail to understand how it happens), and we 
> don't want to break it for everyone.

With tzconfig, location is stored into /etc/timezone and /etc/localtime
becomes a symlink to /usr/share/zoneinfo/$location.  It seems that this
is a Debian addition, but it is outdated, locations do not match
/usr/share/zoneinfo/zone.tab.
There are 2 similar tools:
  * tzselect, which seems to be the predecessor of tzconfig, but which
    is maintained upstream.  This program does not modify system files,
    it is intended to be run by normal users to know how to set TZ to
    match their need.
  * tzsetup, written by d-i folks to replace tzconfig.  It behaves like
    tzconfig, but is well maintained.
I suggest thus to drop tzconfig, this program is no more useful.  And to
modify tzdata.postinst like this:

    if [ "$1" = "configure" ]; then
        timezone=Factory
        if [ -f /etc/timezone ]; then
            timezone=$(sed -e 1q /etc/timezone)
        fi
        if [ -f /usr/share/zoneinfo/$timezone ] && [ "$timezone" != Factory ]
        then
            rm -f /etc/localtime && \
            cp -f /usr/share/zoneinfo/$timezone /etc/localtime
        fi
    fi

Denis



Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to jimmybgood9@yahoo.com:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #46 received at 346342-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 346342-close@bugs.debian.org
Subject: Bug#346342: fixed in glibc 2.3.6-6
Date: Mon, 10 Apr 2006 20:42:04 -0700
Source: glibc
Source-Version: 2.3.6-6

We believe that the bug you reported is fixed in the latest version of
glibc, which is due to be installed in the Debian FTP archive:

glibc-doc_2.3.6-6_all.deb
  to pool/main/g/glibc/glibc-doc_2.3.6-6_all.deb
glibc_2.3.6-6.diff.gz
  to pool/main/g/glibc/glibc_2.3.6-6.diff.gz
glibc_2.3.6-6.dsc
  to pool/main/g/glibc/glibc_2.3.6-6.dsc
libc6-amd64_2.3.6-6_i386.deb
  to pool/main/g/glibc/libc6-amd64_2.3.6-6_i386.deb
libc6-dbg_2.3.6-6_i386.deb
  to pool/main/g/glibc/libc6-dbg_2.3.6-6_i386.deb
libc6-dev-amd64_2.3.6-6_i386.deb
  to pool/main/g/glibc/libc6-dev-amd64_2.3.6-6_i386.deb
libc6-dev_2.3.6-6_i386.deb
  to pool/main/g/glibc/libc6-dev_2.3.6-6_i386.deb
libc6-i686_2.3.6-6_i386.deb
  to pool/main/g/glibc/libc6-i686_2.3.6-6_i386.deb
libc6-pic_2.3.6-6_i386.deb
  to pool/main/g/glibc/libc6-pic_2.3.6-6_i386.deb
libc6-prof_2.3.6-6_i386.deb
  to pool/main/g/glibc/libc6-prof_2.3.6-6_i386.deb
libc6-udeb_2.3.6-6_i386.udeb
  to pool/main/g/glibc/libc6-udeb_2.3.6-6_i386.udeb
libc6-xen_2.3.6-6_i386.deb
  to pool/main/g/glibc/libc6-xen_2.3.6-6_i386.deb
libc6_2.3.6-6_i386.deb
  to pool/main/g/glibc/libc6_2.3.6-6_i386.deb
libnss-dns-udeb_2.3.6-6_i386.udeb
  to pool/main/g/glibc/libnss-dns-udeb_2.3.6-6_i386.udeb
libnss-files-udeb_2.3.6-6_i386.udeb
  to pool/main/g/glibc/libnss-files-udeb_2.3.6-6_i386.udeb
locales_2.3.6-6_all.deb
  to pool/main/g/glibc/locales_2.3.6-6_all.deb
nscd_2.3.6-6_i386.deb
  to pool/main/g/glibc/nscd_2.3.6-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 346342@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated glibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 10 Apr 2006 20:19:55 +0200
Source: glibc
Binary: libc0.1-prof libc6-dev-amd64 libc6-i686 libc6-dev-ppc64 libc0.3-pic glibc-doc libc0.3 libc0.1-i686 libc6.1-dev libc6-s390x libnss-files-udeb libc6-dev-sparc64 libc6-i386 libc0.3-dev libc6-udeb libc6-dbg libc6.1-pic libc6-dev libc0.3-prof libc6-sparcv9 libc0.1-udeb libc6-dev-i386 libc6.1-prof libc0.1-dev locales libc6-pic libc0.3-udeb libc6-dev-powerpc libc0.1-pic libc6-ppc64 libc0.3-dbg libc0.1-dbg libc6-amd64 libc0.1 libc6-prof libc6-xen libc6-powerpc libc6 libc6-sparcv9b libc6.1-udeb libc6.1-dbg nscd libc6-sparc64 libnss-dns-udeb libc6.1 libc6-dev-s390x
Architecture: source i386 all
Version: 2.3.6-6
Distribution: unstable
Urgency: low
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 glibc-doc  - GNU C Library: Documentation
 libc6      - GNU C Library: Shared libraries
 libc6-amd64 - GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - GNU C Library: Libraries with debugging symbols
 libc6-dev  - GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - GNU C Library: 64bit Development Libraries for AMD64
 libc6-i686 - GNU C Library: Shared libraries [i686 optimized]
 libc6-pic  - GNU C Library: PIC archive library
 libc6-prof - GNU C Library: Profiling Libraries
 libc6-udeb - GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - GNU C Library: Shared libraries [Xen version]
 libnss-dns-udeb - GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - GNU C Library: NSS helper for files - udeb (udeb)
 locales    - GNU C Library: National Language (locale) data [support]
 nscd       - GNU C Library: Name Service Cache Daemon
Closes: 174270 220992 226716 346342 357523 360383 361091 361101 361338 361642
Changes: 
 glibc (2.3.6-6) unstable; urgency=low
 .
   [ Aurelien Jarno ]
   * Remove the timezone database from the libc6 package. It is not provided
     by a separate package called tzdata.
   * Put each test log file in the corresponding package instead of putting all
     of them in libc6.
   * Remove sparc/local-sparc64-fixups.diff as /lib64 and /usr/lib64 are now a
     default search path on 32/64-bit architectures.
   * Switch minimum kernel to at least 2.4.0 on all arches but m68k, and change
     kernelcheck.sh accordingly. Affected architectures:
     - alpha: from 2.2.0 to 2.4.0
     - arm: from 2.2.0 to 2.4.0 (but 2.4.0 was checked at installed time)
     - i386: from 2.2.0 to 2.4.0
     - powerpc: from 2.2.0 to 2.4.0
     - s390: from 2.2.10 to 2.4.0
     - sparc: from 2.2.0 to 2.4.0
     (Closes: #174270, #220992)
   * Add i386/local-i486_ldt_support.diff (add ldt support and thus TLS support
     on i486 machines). Thanks to Petr Salinger for the hint.  (Closes: #226716)
   * Bump shlib to (>= 2.3.6-6) on i386.
   * debian/debhelper.in/libc-alt.install: Add gconv-modules to the bi-arch
     packages.  (Closes: #361642)
   * /etc/ld.so.nohwcap is now supported on non-Linux architectures. Drop the
     "Linux" check from libc-otherbuild.preinst.
   * Build a libc6-xen flavour on i386.
   * Fix a typo in the description of the libc6-sparcv9 and libc6-sparcv9b
     packages.
   * local/usr_sbin/tzconfig:
     - Put a copy of the current timezone into /etc/localtime instead of a
       symlink.  (Closes: #346342)
     - Handle the case where /etc/localtime does not exists.  (Closes:
       #360383).
   * local/manpages/tzconfig.8: Update the manpage accordingly.
   * script.in/kernelcheck.sh: Also take in account 64-bit mips(el) kernels.
   * Add GNU/kFreeBSD patches, using conditional patching until they get
     accepted upstream.
   * Correctly replace DEB_HOST_ARCH by its value in libc6.preinst. Thanks to
     Denis for noticing me.
 .
   [ Denis Barbier ]
   * debian/debhelper.in/locales.config: /etc/locale.gen was not generated at
     initial installation.  (Closes: #357523)
   * update-locale: Fix buggy sanity check between LANGUAGE and LANG.
     (Closes: #361091)
   * update-locale: Drop the --remove flag, it is useless.
   * update-locale: Fix the --locale-file flag.
   * Add new Galician debconf translation, by Jacobo Tarrio.  (Closes: #361101)
   * Use new features of po-debconf 1.0 to remove unneeded strings from PO
     files.
   * Fix day, abmon and mon fields for wo_SN locale.  (Closes: #361338)
 .
   [ Michael Banck ]
   * Add hurd-machrules-make.diff (fixes build problems with make-3.81 for
     Mach interface generation rules) by Roland McGrath (patch from HEAD).
   * Add hurd-sysvshm.diff (implements SysV shared memory for GNU/Hurd)
     by Marcus Brinkmann.
Files: 
 8b4b311ff3dcff6e71257c30bfd94149 2048 libs required glibc_2.3.6-6.dsc
 1f1db590c613c3fbab6c6fcd1f03e09e 802813 libs required glibc_2.3.6-6.diff.gz
 6db50e9ad7e2c2af6e7e1698715a3739 3353236 doc optional glibc-doc_2.3.6-6_all.deb
 3415991c75953bc2facfab27d341e84f 3932110 libs standard locales_2.3.6-6_all.deb
 2bd7cf0e18f828252793f383f91d6a0b 4731426 libs required libc6_2.3.6-6_i386.deb
 129818c6ff779de8312892385bc8fa38 2731826 libdevel standard libc6-dev_2.3.6-6_i386.deb
 9c347aad6e1529c8d35f183d75814e6b 1304844 libdevel extra libc6-prof_2.3.6-6_i386.deb
 b0273053d5e16be697090229394bf932 1073088 libdevel optional libc6-pic_2.3.6-6_i386.deb
 60596d43f3e830c12923d7043b871de3 1093640 libs extra libc6-i686_2.3.6-6_i386.deb
 6011526583bbac517dc0574c8840c84c 1131150 libs extra libc6-xen_2.3.6-6_i386.deb
 de3cdf987cc2e7f0ee17f71e41dd87ae 3328004 libs standard libc6-amd64_2.3.6-6_i386.deb
 8834637cb4fa646b156864c46c1a93b2 2014048 libdevel optional libc6-dev-amd64_2.3.6-6_i386.deb
 e31301365e21122ed95e5cc236e55e4c 135008 admin optional nscd_2.3.6-6_i386.deb
 1208e3563e3b8d91cb8b1506f5912efc 6478250 libdevel extra libc6-dbg_2.3.6-6_i386.deb
 2ead0521f62b1052e5a817a9ec56551f 738384 debian-installer extra libc6-udeb_2.3.6-6_i386.udeb
 91baaa42ca88e09834464aede28b1e60 8682 debian-installer extra libnss-dns-udeb_2.3.6-6_i386.udeb
 a8be4a63de1924b3d854edf103894803 15540 debian-installer extra libnss-files-udeb_2.3.6-6_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEOuRfw3ao2vG823MRAjP9AJ91Pn2MLjNxDSCRfGetSE7FajdJogCfWmra
etYphyEBAGkKeB054rkSID4=
=tbWh
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 09:10:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:12:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.